//_____________________________________________________________________________
//
// Copyright (C) 2018                   Mobsya                   CH-1020 Renens
//_____________________________________________________________________________
//
// PROJECT   Thymio-III
//_____________________________________________________________________________
//
//! \file    mode.h
//! \brief   This module provides the useful functions to use the modes
//!
//! \author  Vincent Gonet
//!
//! \version $Id: mode.h 18076 2017-04-20 12:28:12Z v.gonet $
//_____________________________________________________________________________

#ifndef MODE_H_
#define MODE_H_

//-----------------------------------------------------------------------------
// Include Section
//-----------------------------------------------------------------------------

#define when(cond) if(({static unsigned char prev; \
                        unsigned char c = !!(cond); \
                        unsigned char result = c && !prev; \
                        prev = c; \
                        result;}))

//-----------------------------------------------------------------------------
// Constants/Macros Definitions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Types Definitions
//-----------------------------------------------------------------------------

typedef enum
{
  E_Mode_Menu,
  E_Mode_Explorer,
  E_Mode_Investigator,
  E_Mode_Obedient,
  E_Mode_Max = E_Mode_Obedient
} T_Mode;

//-----------------------------------------------------------------------------
// Exported Global Data
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Inline Code Definition
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Exported Functions Prototypes
//-----------------------------------------------------------------------------

//! \brief     Initialize the modes
//! \pre       None
//! \param     None
//! \return    None
extern void Mode_Init(void);

extern void Mode_InitVM(void);

extern void Mode_Run(void);

#endif // MODE_H_
