//_____________________________________________________________________________
//
// Copyright (C) 2018                   Mobsya                   CH-1020 Renens
//_____________________________________________________________________________
//
// PROJECT   Thymio-III
//_____________________________________________________________________________
//
//! \file    sensors.h
//! \brief   This module provides the useful functions to use the no-I2C sensors
//!
//! \author  Vincent Gonet
//!
//! \version $Id: sensors.h 18076 2017-04-20 12:28:12Z v.gonet $
//_____________________________________________________________________________

#ifndef SENSORS_H_
#define SENSORS_H_

//-----------------------------------------------------------------------------
// Include Section
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Constants/Macros Definitions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Types Definitions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Exported Global Data
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Inline Code Definition
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Exported Functions Prototypes
//-----------------------------------------------------------------------------

//! \brief     Initialize the sensors
//! \pre       None
//! \param     None
//! \return    None
extern void Sensors_Init(void);

//! \brief     Run the sensor task
//! \pre       First initialize the sensors
//! \param     None
//! \return    None
extern void Sensor_RunTask(void* pvParameter);

#endif // SENSORS_H_
