//_____________________________________________________________________________
//
// Copyright (C) 2018                   Mobsya                   CH-1020 Renens
//_____________________________________________________________________________
//
// PROJECT   Thymio-III
//_____________________________________________________________________________
//
//! \file    timer.h
//! \brief   This module provides the useful functions to use the timer
//!
//! \author  Vincent Gonet
//!
//! \version $Id: timer.h 18076 2017-04-20 12:28:12Z v.gonet $
//_____________________________________________________________________________

#ifndef TIMER_H_
#define TIMER_H_

//-----------------------------------------------------------------------------
// Include Section
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Constants/Macros Definitions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Types Definitions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Exported Global Data
//-----------------------------------------------------------------------------

extern TaskHandle_t TaskToNotify;

//-----------------------------------------------------------------------------
// Inline Code Definition
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Exported Functions Prototypes
//-----------------------------------------------------------------------------

//! \brief     Initialize the timer
//! \pre       None
//! \param     None
//! \return    None
extern void Timer_Init(int16_t timerNum, int timerIndex, bool autoReload, double interval_sec);

//! \brief     Start the timer
//! \pre       First initialize the timer
//! \param     None
//! \return    None
extern void Timer_Start(int16_t timerNum, int16_t timerIndex);

#endif // TIMER_H_
